# gridinfo.tcl --
#
# Provides helper routines to get the column and row of a particular
# widget.
#
# $Id: gridinfo.tcl,v 1.1 2002/12/31 23:27:33 davidw Exp $

package provide gridinfo 0.1

namespace eval gridinfo {
    namespace export row column
}

proc gridinfo::row {w} {
    array set info [grid info $w]
    return $info(-row)
}

proc gridinfo::column {w} {
    array set info [grid info $w]
    return $info(-column)
}

